> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inference Job

> Get inference job details with files and detections.



## OpenAPI

````yaml get /api/v1/inference-jobs/{job_id}
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/inference-jobs/{job_id}:
    get:
      tags:
        - inference
      summary: Get Inference Job
      description: Get inference job details with files and detections.
      operationId: get_inference_job_api_v1_inference_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceJobDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InferenceJobDetailResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        model_id:
          type: string
          format: uuid
          title: Model Id
        config:
          additionalProperties: true
          type: object
          title: Config
        status:
          type: string
          title: Status
        total_files:
          type: integer
          title: Total Files
        processed_files:
          type: integer
          title: Processed Files
        failed_files:
          type: integer
          title: Failed Files
        total_detections:
          type: integer
          title: Total Detections
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        files:
          items:
            $ref: '#/components/schemas/InferenceFileResponse'
          type: array
          title: Files
      type: object
      required:
        - id
        - tenant_id
        - model_id
        - config
        - status
        - total_files
        - processed_files
        - failed_files
        - total_detections
        - error_message
        - created_at
        - started_at
        - completed_at
        - files
      title: InferenceJobDetailResponse
      description: Inference job detail with files.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InferenceFileResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        inference_job_id:
          type: string
          format: uuid
          title: Inference Job Id
        original_filename:
          type: string
          title: Original Filename
        s3_key:
          type: string
          title: S3 Key
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        status:
          type: string
          title: Status
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        detections:
          anyOf:
            - items:
                $ref: '#/components/schemas/Detection'
              type: array
            - type: 'null'
          title: Detections
        detection_count:
          type: integer
          title: Detection Count
        processed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Processed At
      type: object
      required:
        - id
        - inference_job_id
        - original_filename
        - s3_key
        - duration_ms
        - status
        - error_message
        - detections
        - detection_count
        - processed_at
      title: InferenceFileResponse
      description: Inference file response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Detection:
      properties:
        artifact_type:
          type: string
          title: Artifact Type
        start_ms:
          type: integer
          title: Start Ms
        end_ms:
          type: integer
          title: End Ms
        confidence:
          type: number
          maximum: 1
          minimum: 0
          title: Confidence
      type: object
      required:
        - artifact_type
        - start_ms
        - end_ms
        - confidence
      title: Detection
      description: Single detection result.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````